@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,700;1,800&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "poppins", sans-serif;
  background-color: #e5e5e5;
  background-position: 0 60px;
  background-size: 380px;
}

html body {
  overflow-x: hidden;
}

a {
  text-decoration: none;
}

.background {
  position: absolute;
  background-image: url("Images/background.svg");
  background-repeat: no-repeat;
  background-position-x: right;
  background-position-y: 0;
  background-size: 100%;
  width: 100%;
  height: 660px;
  text-align: center;
  font-weight: 400;
  line-height: 28px;
  padding: 105px 25px 40px 25px;
  background-color: #ffff;
  z-index: -11;
  border-bottom-left-radius: 80px;
}

.header-content {
  margin: 0 auto;
  padding: 15px 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: white;
}

.container {
  max-width: 90%;
  margin: 35px auto 90px auto;
  font-size: 28px;
  color: #172b4d;
  font-family: "poppins", sans-serif;
  font-weight: bolder;
  line-height: 52px;
}

#nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo a {
  font-size: 18px;
  color: #5664e5;
  font-family: "poppins", sans-serif;
  font-weight: 700;
  letter-spacing: 1.2px;
  text-decoration: none;
}

.nav-container .categories {
  display: none;
  width: 300px;
  justify-content: space-between;
}

.categories .category {
  list-style: none;
}

.category .link {
  text-decoration: none;
  color: var(--primary-color);
  font-weight: 500;
  font-size: 20px;
  font-family: "poppins", sans-serif;
}

.hamburger {
  display: block;
  width: 20px;
}

main #lead {
  display: flex;
  align-items: center;
  height: 600px;
  margin-top: 1px;
}

.lead-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 430px;
  margin-top: -35px;
  margin-bottom: 10px;
}

#work-section {
  margin-top: 325px;
}

.lead-content .heading h1 {
  max-width: 319px;
  font-size: 40px;
  font-weight: 700;
  color: var(--secondary-color);
  margin-top: 100px;
}

.lead-content .section-content {
  font-size: 16px;
  color: #344563;
  max-width: 326px;
  font-weight: 400;
  line-height: 24px;
  font-style: normal;
  font-family: "poppins", sans-serif;
  margin: 11px 2px 10px 2px;
}

.social-network {
  color: #7f8cff;
  font-size: 15px;
  font-family: "poppins", sans-serif;
  font-weight: 400;
  text-decoration: none;
  margin: 0 9px 9px 9px;
  display: flex;
}

.lead-content .social-network {
  color: #5059a6;
  margin-top: -5px;
  font-size: 15px;
  margin-left: 3px;
  margin-bottom: 1px;
}

.social-network-content {
  display: flex;
  justify-content: space-between;
  width: 177px;
  margin-left: 1px;
  margin-top: -7px;
}

.header {
  max-width: 80%;
  margin-left: auto;
  margin-right: auto;
  padding: 20px 0;
}

.section-text {
  flex: 1;
  margin-top: 1px;
}

#Work {
  margin-top: 150px;
}

.content-work {
  display: grid;
  gap: 60px;
}

.card {
  display: flex;
  align-items: center;
  padding: 16px;
  gap: 5px;
  background-color: #fff;
  border: 1px solid #dfe1e5;
  border-radius: 16px;
  flex-direction: column;
  max-width: 335px;
}

.list {
  display: flex;
  align-items: center;
  gap: 10px;
}

.list-element {
  font-size: 13px;
  font-weight: 600;
}

.list-element.text-grey {
  color: #677283;
}

.card-photo {
  width: 100%;
  border-radius: 8px;
}

.dot {
  width: 8px;
  height: 8px;
  background-color: #c1c7d0;
  border-radius: 50px;
}

.card-title {
  max-width: 295px;
  height: 36px;
  font-family: "poppins", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
  flex: none;
  order: 0;
  flex-grow: 0;
}

ul {
  list-style-type: none;
}

.card-description ul {
  display: flex;
  align-items: center;
  gap: 10px;
}

.canopy {
  color: #344563;
  width: 55px;
  height: 16px;
  font-weight: 600;
  flex: none;
  order: 0;
  flex-grow: 0;
  font-family: "poppins", sans-serif;
  font-size: 13px;
  line-height: 16px;
}

.back-end-dev {
  width: 88px;
  height: 16px;
  font-style: normal;
  font-weight: 600;
  color: #7a869a;
  font-family: "poppins", sans-serif;
  font-size: 13px;
  line-height: 16px;
}

.year {
  width: 29px;
  height: 16px;
  font-family: "poppins", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 13px;
  line-height: 16px;
  color: #7a869a;
}

.card-content {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.card-content p {
  width: 100%;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #344563;
}

/* Accessibility Changes */
.button .btn {
  background-color: #ffff;
  padding: 12px;
  border: 1px solid #5664e5;
  color: #5664e5;
  font-weight: 500;
  font-size: 17px;
  border-radius: 8px;
}

.button .btn:hover {
  background-color: #5664e5;
  border: 1px solid #5664e5;
  color: #fff;
  transition-duration: 0.1s;
}

.button .btn:active {
  background-color: #2230d2;
  border: 1px solid #2230d2;
  color: #fff;
  transition-duration: 0.1s;
}

/* End of Accessibility Changes */
#About {
  background-color: #ffff;
  border-top-right-radius: 85px;
}

#About .container {
  padding-bottom: 130px;
  margin-bottom: 0;
}

#About .title {
  padding-top: 100px;
  font-size: 45px;
  max-width: 200px;
}

#About .description {
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  color: #344563;
}

#About .connectt {
  font-size: 16px;
  font-weight: 500;
  color: #606bc3;
  margin-top: -15px;
}

#About .about-me-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#About .bottom-content {
  display: flex;
  flex-direction: column;
}

.social-network-content1 {
  display: flex;
  gap: 15px;
}

.card-languages {
  display: flex;
  gap: 5px;
}

.lan span {
  color: #4c5ace;
  background-color: #ebebff;
  padding: 4px 12px 4px 12px;
  border-radius: 8px;
  font-size: 12px;
  font-family: "poppins", sans-serif;
  font-weight: 500;
}

details {
  font-size: 1rem;
  background: #fff;
  border-radius: 6px;
  position: relative;
  width: 100%;
  border-bottom: 1px solid #e2e8f0;
}

summary {
  user-select: none;
  list-style: none;
  padding: 1em;
  font-weight: 500;
  color: black;
}

summary::-webkit-details-marker {
  display: none;
}

.summary-chevron-up svg {
  opacity: 0.5;
}

.summary-chevron-up,
.summary-chevron-down {
  pointer-events: none;
  position: absolute;
  top: 0.75em;
  right: 1em;
  background: #ffff;
  display: block;
}

summary:focus {
  outline: none;
}

summary:hover .summary-chevron-up svg {
  opacity: 1;
}

.langs {
  cursor: default;
  padding: 1em;
  font-weight: 300;
  line-height: 1.5;
}

.langg {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 10px;
  background-color: #f7f7f9;
  margin-bottom: 10px;
  padding: 5px;
  border-radius: 8px;
}

.langgg {
  color: #253858;
  font-size: 15px;
  font-weight: 500;
}

/* Form Section */
footer {
  background-color: #fff;
}

.footer-container {
  background: url(Images/footer-background.svg) #4b58cc no-repeat;
  background-size: 57.5%;
  background-position-x: right;
  background-position-y: 20px;
  border-top-left-radius: 100px;
  color: #ebebff;
  text-align: center;
  font-weight: 400;
  line-height: 28px;
  padding: 105px 25px 40px 25px;
}

.footer-title {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  margin-top: -5px;
}

.footer-info {
  max-width: 327px;
  margin: 0 auto;
  padding-top: 10px;
  padding-bottom: 16px;
}

p.footer-info {
  font-size: 20px;
  font-weight: 300;
}

#form_ul {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: -10px;
  margin-top: 15px;
}

form li {
  margin: 0 auto;
  padding: 10px 0;
  width: 100%;
}

li.form-button {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

#name::placeholder,
#mail::placeholder,
textarea::placeholder {
  font-family: "poppins", sans-serif;
  color: #cfd8bc;
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
}

input {
  width: 100%;
  height: 48px;
  color: #172b4d;
  border-radius: 8px;
  border: 1px solid #cfd8bc;
  padding: 0 15px;
}

textarea {
  height: 170px;
  width: 100%;
  border-radius: 8px;
  border: 1px solid #cfd8bc;
  padding: 15px;
}

#msg {
  font-family: "poppins", sans-serif;
  color: #172b4d;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
}

small {
  margin: 0 auto;
  border-radius: 5px;
}

/* Accessibility Changes */
.resume-button .btnn {
  border-radius: 8px;
  font-weight: 500;
  color: #5664e5;
  background-color: transparent;
  font-size: 17px;
  padding: 12px;
  border: 1px solid #5664e5;
}

.form-button button {
  background: #fff;
  border-radius: 8px;
  color: #5664e5;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.03cm;
  padding: 12px 16px;
  border: 1px solid #5664e5;
}

.resume-button .btnn:hover {
  background-color: #5664e5;
  border: 1px solid #5664e5;
  color: #fff;
  transition-duration: 0.1s;
}

.resume-button .btnn:active {
  background-color: #2230d2;
  border: 1px solid #2230d2;
  color: #fff;
  transition-duration: 0.1s;
}

.form-button button:hover {
  background-color: #5664e5;
  color: #fff;
  font-weight: 300;
  transition-duration: 0.1s;
}

.form-button button:active {
  background-color: #2230d2;
  transition-duration: 0.1s;
}

#pop-up-content {
  display: none;
}

#pop-up-content.pop-up {
  display: block;
}

/* End of Accessibility Changes */

/* End of form section */

/* Media Section */
@media only screen and (min-width: 768px) {
  .background {
    background: url(Images/header-background-desktop.svg) #fff no-repeat;
    background-size: 100%;
    background-position-y: 55px;
    height: 860px;
  }

  .header-content {
    padding: 15px 120px;
  }

  .container {
    margin: 0 auto 92px auto;
  }

  .nav-container .categories {
    display: flex;
  }

  .hamburger {
    display: none;
    width: 30px;
  }

  .lead-content {
    max-width: 100%;
    padding: 0 120px;
    align-content: center;
    height: unset;
    margin: 0 10%;
    margin-right: -10px;
    margin-left: 40px;
    padding-top: 120px;
  }

  .lead-content .heading h1 {
    font-size: 48px;
    font-weight: 700;
    line-height: 60px;
  }

  .lead-content .heading h1,
  .lead-content .section-content {
    max-width: unset;
    padding: 2px 0 8px 0;
  }

  .section-content p {
    max-width: 90%;
    font-size: 20px;
    font-weight: 400;
    line-height: 27px;
  }

  .lead-content .social-network {
    margin-top: 5px;
    margin-bottom: 20px;
  }

  /* cards section */
  #work-section {
    margin-top: 350px;
  }

  .content-work {
    padding-top: 120px;
  }

  .card {
    min-width: 95%;
    align-items: unset;
    display: block;
    margin: 0 auto 100px auto;
  }

  .card .card-photo {
    border-radius: 8px;
  }

  .card-photo img {
    width: 100%;
  }

  .list-element {
    font-size: 18px;
    font-weight: 500;
  }

  .card-content p {
    width: unset;
    font-size: 16px;
  }

  .card:nth-child(even) .card-photo {
    width: 50%;
    float: right;
  }

  .card:nth-child(even) .card-content {
    width: 50%;
    float: right;
    padding: 30px;
  }

  .card:nth-child(odd) .card-photo {
    width: 50%;
    float: left;
  }

  .card:nth-child(odd) .card-content {
    width: 50%;
    float: left;
    padding: 30px;
  }

  /* End of cards section */

  /* About me */
  #About .container {
    max-width: unset;
  }

  #About .about-me-content {
    border-radius: unset;
    float: left;
    height: 700px;
    width: 45%;
    background-color: #fff;
    padding: 70px 40px 30px 160px;
    line-height: 55px;
  }

  #About .connectt {
    margin-top: -5px;
    margin-bottom: -5px;
  }

  .coding-languages {
    float: right;
    height: 700px;
    width: 55%;
    background-color: #fff;
    border-top-right-radius: 90px;
  }

  /* Accessitility Changes */
  .about-details-row:focus {
    outline: 2px solid #015fcc;
    border-radius: 10px;
  }

  /* End of Accessibility Changes */
  summary {
    font-size: 20px;
    padding: 10px;
  }

  .coding-languages-content {
    margin-top: 30px;
    padding: 125px 150px 30px 0;
  }

  ul .langs {
    display: flex;
    gap: 15px;
  }

  li .langg {
    display: block;
    padding-top: 15px;
    width: 120px;
    height: 120px;
  }

  li .langgg {
    width: 100px;
    display: block;
  }

  .clear_fix {
    clear: both;
  }

  /* end of About me */

  /* Contact form */
  .footer-container {
    background: url(Images/footer-background-desktop.svg) #4b58cc no-repeat;
    background-position: 65px 80px;
    background-size: 90%;
    height: 880px;
    padding-top: 170px;
  }

  .footer-info {
    max-width: 525px;
    margin: 0 auto;
    padding: 15px 0 5px 0;
  }

  form ul {
    align-items: unset;
  }

  input,
  textarea {
    width: 400px;
  }

  li.form-button {
    max-width: 150px;
  }

  /* Pop Up Desktop Version */
  #pop-up .card {
    max-width: 80%;
    background-color: #fff;

    /* height: 80vh; */
    width: 1156px;
    height: 1163px;
  }

  #pop-up .title {
    font-size: 40px;
    color: #091e42;
  }

  #pop-up .list span {
    font-size: 15px;
  }

  #pop-up .card-photo {
    width: 100%;
    height: 758px;
  }

  #pop-up .card-content {
    width: 100%;
    padding: unset;
    font-size: 16px;
    gap: unset;
  }

  #pop-up.pop-up {
    position: fixed;
    padding-top: 7%;
    width: 100%;
    height: 100%;
    display: block;
    top: 0;
  }

  .content-work.pop-up {
    filter: blur(5px);
    background-color: #c1c7d0;
  }

  body.pop-up {
    overflow-y: hidden;
  }

  #pop-up {
    overflow-y: scroll;
  }

  #pop-up i.close-pop-up {
    position: absolute;
    right: 6%;
    top: 15%;
    color: #67798e;
    mix-blend-mode: multiply;
    font-weight: 700;
    font-size: 20px;
  }

  #pop-up .card-content .title {
    margin-left: 30px;
  }

  #pop-up .card-content .list {
    margin-left: 30px;
  }

  #pop-up-left-column {
    float: left;
    width: 70%;
    margin-right: 60px;
  }

  #pop-up-left-column .text {
    margin-left: 30px;
    padding-top: 28px;
  }

  #pop-up-rigth-column {
    float: right;
    width: 40%;
  }

  #pop-up .pop-up-buttons {
    display: flex;
    gap: 10px;
    margin-top: 30px;
  }

  #pop-up .card-languages {
    flex-wrap: wrap;
    margin: 50px 100px;
    gap: 12px;
  }

  /* End of pop up desktop version */
}

/* end of Contact form */

/* Mobile-menu JS */

@media only screen and (max-width: 768px) {
  /* MENU JAVASCRIPT */
  #menu-btn {
    border: transparent;
  }

  #lead.display-menu {
    filter: blur(12px);
    mix-blend-mode: multiply;
  }

  .header-content.display-menu {
    background: unset;
  }

  body.display-menu {
    overflow-y: hidden;
  }

  .logo.display-menu {
    filter: blur(12px);
  }

  .nav-container.display-menu {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 12;
    background: url(Images/blur.svg);
    mix-blend-mode: multiply;
  }

  #menu.display-menu {
    display: none;
  }

  .hamburger.display-menu {
    display: none;
  }

  .nav-container .categories.display-menu {
    display: block;
    padding-top: 28px;
  }

  .categories .category {
    padding-top: 10px;
  }

  .category.display-menu a {
    color: #fff;
    font-size: 32px;
    font-weight: 600;
    line-height: 44px;
    padding-top: 15px;
    padding-left: 28px;
  }

  .close.display-menu {
    position: absolute;
    right: 38px;
    top: 34px;
  }

  /* Pop Up Section */
  #pop-up.pop-up {
    height: 100%;
    display: block;
    top: 0;
    position: fixed;
    padding-top: 12%;
    width: 100%;
    margin: 0 20px 10px 20px;
    padding-bottom: 40px;
  }

  .content-work.pop-up {
    filter: blur(2px);
    background-color: #c1c7d0;
  }

  body.pop-up {
    overflow-y: hidden;
  }

  #pop-up {
    overflow-y: scroll;
  }

  #pop-up i.close-pop-up {
    mix-blend-mode: multiply;
    font-weight: 700;
    font-size: 20px;
    position: absolute;
    right: 15%;
    top: 9%;
    color: #67798e;
  }

  .pop-up-buttons {
    gap: 10px;
    display: flex;
  }

  #pop-up .card-languages {
    margin: 15px 0;
    flex-wrap: wrap;
  }

  /* End of mobile-menu JS */
}
